> ## Documentation Index
> Fetch the complete documentation index at: https://paydocs.dashu.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Details

> Using this endpoint you'll have the ability to get the entire information of a specific deposit.

### Query Parameters

<ParamField query="apiKey" type="string" placeholder="API Key" required>
  The API Key of your account.
</ParamField>

<ParamField query="depositReference" type="string" placeholder="Deposit Reference" required>
  The deposit reference (you can get it from the `getDeposits` endpoint).
</ParamField>

<ParamField query="test" type="boolean" initialValue={true}>
  Set this property to `true` to send the request to the development
  environment.
</ParamField>

<ResponseExample>
  ```json Success theme={null}
  {
    "success": true,
    "result": {
      "items": [
        {
          "id": 123,
          "amount": 200.12,
          "service_charge": "1.41"
        }
      ],
      "deposit_total_amount_without_fees": "200.12",
      "deposit_total_service_fees": "1.41"
    }
  }
  ```

  ```json Error theme={null}
  {
    "success": false,
    "code": "2",
    "message": "`depositReference` is a required parameter."
  }
  ```
</ResponseExample>

### Response properties

<ResponseField name="success" type="boolean" required>
  A boolean value indicates the response status.
</ResponseField>

<ResponseField name="result" type="object" required>
  <Expandable title="properties" defaultOpen={true}>
    <ResponseField name="items" type="object" required>
      <Expandable title="properties" defaultOpen={true}>
        <ResponseField name="id" type="integer" required>
          A unique integer value indicating the deposit request in DashPay system.
        </ResponseField>

        <ResponseField name="amount" type="string" required>
          The total amount of the deposit.
        </ResponseField>

        <ResponseField name="service_charge" type="string" required>
          The fee amount of the depsoit process (DashPay fees).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="deposit_total_amount_without_fees" type="string" required>
      The total amount of the deposit without fees.
    </ResponseField>

    <ResponseField name="deposit_total_service_fees" type="string" required>
      The total amount of fees deducted for this deposit.
    </ResponseField>
  </Expandable>
</ResponseField>

## Error Codes

Here's a list of possible error codes of this endpoint.

| **Code** | **Description**                             |
| -------- | ------------------------------------------- |
| 1        | Missing or invalid api key                  |
| 2        | `depositReference` is a required parameter. |
